# $Revision: 1.37 $, $Date: 2008/07/27 22:43:58 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	MOP::MOP - Perl extension providing a meta-object protocol for Perl modules
Summary(pl.UTF-8):	MOP::MOP - rozszerzenie Perla udostępniające modułom meta-obiektowy protokół
Name:		perl-MOP
Version:	1.00
Release:	11
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MOP/MOP-%{version}.tar.gz
# Source0-md5:	93c05ede1ecc9c01a385e4f21fd58382
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Filter
BuildRequires:	rsh
BuildRequires:	rshd
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a simple and, in my opinion, powerful meta-object
protocol (MOP) for Perl5 modules.  In short, such MOP allows to trap
the method calls made on an object (represented by a reference) before
they reach the original module implementing them. These method calls
are redirected to another module, called the meta-module, before their
execution. The original (legitimate) destination of the method call is
in the (base) module. Of course, one day or another, the meta-module
should perform the actual normal method call at the base level, but it
can do some nice things before or after doing that. And this is the
whole purpose of its existence.

%description -l pl.UTF-8
Ten moduł udostępnia modułom Perla prosty, i, zdaniem autora, o dużych
możliwościach protokół meta-obiektowy (meta-object protocol - MOP). W
skrócie, MOP pozwala na przechwytywanie wywołań metod na obiekcie
(reprezentowanym przez referencję) przed osiągnięciem oryginalnego
modułu zawierającego implementację. Te wywołania metod są przed
wykonaniem przekierowywane do innego modułu, zwanego meta-modułem.
Oryginalny cel wywołania metody jest w module bazowym. Oczywiście w
którymś momencie meta-moduł powinien wykonać normalne wywołanie metody
na poziomie podstawowym, ale przed lub po tym może robić różne rzeczy.
I to właśnie jest celem istnienia modułu MOP.

%prep
%setup -q -n MOP-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MOP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MOP.spec,v $
Revision 1.37  2008/07/27 22:43:58  arekm
- release 11

Revision 1.36  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.34  2004/05/07 00:59:47  ankry
- rel. 10

Revision 1.33  2004/05/06 18:20:33  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 00:50:57  ankry
- cosmetics: unification

Revision 1.31  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.30  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.29  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:35:57  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/09/04 12:54:00  ankry
- more BRs (for tests only)

Revision 1.20  2002/08/26 10:14:02  radek
- tests default off: some of them require internet connection.  STBR

Revision 1.19  2002/08/14 15:59:10  qboosh
- pl description, release 8

Revision 1.18  2002/08/11 19:36:48  radek
- release up

Revision 1.17  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.16  2002/08/11 13:53:40  radek
- conditional tests

Revision 1.15  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:29:40  depesz
- adapterized

Revision 1.12  2002/01/18 02:14:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:12:12  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/11 02:08:28  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
